Draft Point/ro: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(44 intermediate revisions by 6 users not shown)
Line 1: Line 1:
<languages/>
{{GuiCommand/ro|Name=Draft Point|Name/ro=Draft Point|Workbenches=[[Draft Module/ro|Draft]], [[Arch Module/ro|Arch]]|MenuLocation=Draft -> Point|Shortcut=P T}}


{{Docnav
==Description==
|[[Draft_BezCurve|BezCurve]]
|[[Draft_Facebinder|Facebinder]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_BezCurve.svg
|IconR=Draft_Facebinder.svg
|IconC=Workbench_Draft.svg
}}


<div class="mw-translate-fuzzy">
The Point tool creates a simple point in the current [[Draft SelectPlane|work plane]], handy to serve as reference for placing other objects later. It takes the [[Draft Linestyle|color]] previously set on the Tasks tab.
{{GuiCommand/ro
|Name=Draft Point
|Name/ro=Draft Punctul
|Workbenches=[[Draft_Workbench/ro|Draft]], [[Arch_Workbench/ro|Arch]]
|MenuLocation=Draft → Point
|Shortcut=P T
}}
</div>

<span id="Description"></span>
==Descriere==

<div class="mw-translate-fuzzy">
Instrumentul Punct creează un punct simplu în planul curent [[Draft SelectPlane/ro|work plane]], util pentru a servi ca referință pentru plasarea mai multor obiecte mai târziu. Este nevoie de [[Draft Linestyle/ro|color]] setat anterior pe fila Activități.
</div>


[[Image:Draft_point_example.jpg|400px]]
[[Image:Draft_point_example.jpg|400px]]


<span id="Usage"></span>
==How to use==
<div class="mw-translate-fuzzy">
== Cum se folosește ==
</div>


See also: [[Draft_Tray|Draft Tray]], [[Draft_Snap|Draft Snap]] and [[Draft_Constrain|Draft Constrain]].
# Press the {{KEY|[[Image:Draft Point.png|16px]] [[Draft Point]]}} button, or press {{KEY|P}} then {{KEY|T}} keys
# Click a point on the 3D view, or type a [[Draft_Coordinates|coordinate]]


<div class="mw-translate-fuzzy">
==Options==
# Apăsați butonul {{KEY|[[Image:Draft Point.png|16px]] [[Draft Point/ro|Draft Point]]}}, sau apăsați tasta {{KEY|P}} apoi apăsați tasta {{KEY|T}}
# Click un punct în vizualizarea 3D, sau tastați coordinate
</div>


<span id="Options"></span>
* To enter coordinates manually, simply enter the numbers, then press {{KEY|ENTER}} between each X, Y and Z component.
== Opţiuni ==
* Press {{KEY|ESC}} or the {{KEY|'''Cancel'''}} button to abort the current Line command.


The single character keyboard shortcuts available in the task panel can be changed. See [[Draft_Preferences|Draft Preferences]]. The shortcuts mentioned here are the default shortcuts (for version 0.22).
==Properties==


<div class="mw-translate-fuzzy">
* {{PropertyData|X}}: The X coordinate of the point
* Petru a introduce coordonatele manual, pur și simplu introduceți numerele, apoi apăsați tasta {{KEY|ENTER}} între fiecare componentă pe X, Y și Z .
* {{PropertyData|Y}}: The Y coordinate of the point
* Apăsați tasta {{KEY|ESC}} sau butonul {{KEY|'''Cancel'''}} pentru a abandona linia de comandă curentă.
* {{PropertyData|Z}}: The Z coordinate of the point
</div>

==Notes==

* Use [[Image:Draft_Snap_Near.svg|16px]] [[Draft_Snap_Near|Draft Snap Near]] ({{VersionMinus|0.20}}) or [[Image:Draft_Snap_Endpoint.svg|16px]] [[Draft_Snap_Endpoint|Draft Snap Endpoint]] ({{VersionPlus|0.21}}) to snap to Draft points.

<span id="Properties"></span>
==Proprietăți==

See also: [[Property_editor|Property editor]].

A Draft Point object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:

===Data===

{{TitleProperty|Draft}}

<div class="mw-translate-fuzzy">
* {{PropertyData/ro|X}}: Coordonatele X ale punctului
* {{PropertyData/ro|Y}}: Coordonatele Y ale punctului
* {{PropertyData/ro|Z}}: Coordonatele Z ale punctului
</div>

===View===

{{TitleProperty|Draft}}

* {{PropertyView|Pattern|Enumeration}}: not used.
* {{PropertyView|Pattern Size|Float}}: not used.


==Scripting==
==Scripting==


<div class="mw-translate-fuzzy">
The Point tool can by used in [[macros]] and from the python console by using the following function:
== Scrip-Programare ==
</div>

<div class="mw-translate-fuzzy">
Instrumentul Point poate fi utilizat în [[macros/ro|macros]] și de la consola Python folosind următoarea funcție:
</div>

{{Code|code=
{{Code|code=
point = make_point(X=0, Y=0, Z=0, color=None, name="Point", point_size=5)
makePoint([x],[y],[z])
point = make_point(point, Y=0, Z=0, color=None, name="Point", point_size=5)
}}
}}

* makes a point at the given coordinates. If no X, Y and Z coordinates are given, the point is created at (0,0,0). Returns the newly created object.
<div class="mw-translate-fuzzy">
* creează un punct la coordonatele date. Dacă nu sunt date coordonate X, Y și Z, punctul este creat la (0,0,0). Returnează obiectul nou creat. "
</div>


Example:
Example:

{{Code|code=
{{Code|code=
import FreeCAD as App
import Draft
import Draft

Draft.makePoint(6,4,2)
doc = App.newDocument()

point1 = Draft.make_point(1600, 1400, 0)

p2 = App.Vector(-3200, 1800, 0)
point2 = Draft.make_point(p2, color=(0.5, 0.3, 0.6), point_size=10)

doc.recompute()
}}
}}


Exempluː
{{clear}}

<languages/>
This code creates {{incode|N}} random points within a square of side {{incode|2L}}. It makes a loop creating {{incode|N}} points, that may appear anywhere from {{incode|-L}} to {{incode|+L}} on both X and Y. It also chooses a random color and size for each point. Change {{incode|N}} to change the number of points, and change {{incode|L}} to change the area covered by the points.

{{Code|code=
import random
import FreeCAD as App
import Draft

doc = App.newDocument()

L = 1000
centered = App.Placement(App.Vector(-L, -L, 0), App.Rotation())
rectangle = Draft.make_rectangle(2*L, 2*L, placement=centered)

N = 10
for i in range(N):
x = 2*L*random.random() - L
y = 2*L*random.random() - L
z = 0
r = random.random()
g = random.random()
b = random.random()
size = 15*random.random() + 5
Draft.make_point(x, y, z, color=(r, g, b), point_size=size)

doc.recompute()
}}


{{Docnav
|[[Draft_BezCurve|BezCurve]]
|[[Draft_Facebinder|Facebinder]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_BezCurve.svg
|IconR=Draft_Facebinder.svg
|IconC=Workbench_Draft.svg
}}

{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 04:59, 9 January 2024

Draft Punctul

poziția meniului
Draft → Point
Ateliere
Draft, Arch
scurtătură
P T
Prezentat în versiune
-
A se vedea, de asemenea,
nici unul

Descriere

Instrumentul Punct creează un punct simplu în planul curent work plane, util pentru a servi ca referință pentru plasarea mai multor obiecte mai târziu. Este nevoie de color setat anterior pe fila Activități.

Cum se folosește

See also: Draft Tray, Draft Snap and Draft Constrain.

  1. Apăsați butonul Draft Point, sau apăsați tasta P apoi apăsați tasta T
  2. Click un punct în vizualizarea 3D, sau tastați coordinate

Opţiuni

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts (for version 0.22).

  • Petru a introduce coordonatele manual, pur și simplu introduceți numerele, apoi apăsați tasta ENTER între fiecare componentă pe X, Y și Z .
  • Apăsați tasta ESC sau butonul Cancel pentru a abandona linia de comandă curentă.

Notes

Proprietăți

See also: Property editor.

A Draft Point object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Draft

  • DATEX: Coordonatele X ale punctului
  • DATEY: Coordonatele Y ale punctului
  • DATEZ: Coordonatele Z ale punctului

View

Draft

  • VizualizarePattern (Enumeration): not used.
  • VizualizarePattern Size (Float): not used.

Scripting

Scrip-Programare

Instrumentul Point poate fi utilizat în macros și de la consola Python folosind următoarea funcție:

point = make_point(X=0, Y=0, Z=0, color=None, name="Point", point_size=5)
point = make_point(point, Y=0, Z=0, color=None, name="Point", point_size=5)
  • creează un punct la coordonatele date. Dacă nu sunt date coordonate X, Y și Z, punctul este creat la (0,0,0). Returnează obiectul nou creat. "

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

point1 = Draft.make_point(1600, 1400, 0)

p2 = App.Vector(-3200, 1800, 0)
point2 = Draft.make_point(p2, color=(0.5, 0.3, 0.6), point_size=10)

doc.recompute()

Exempluː

This code creates N random points within a square of side 2L. It makes a loop creating N points, that may appear anywhere from -L to +L on both X and Y. It also chooses a random color and size for each point. Change N to change the number of points, and change L to change the area covered by the points.

import random
import FreeCAD as App
import Draft

doc = App.newDocument()

L = 1000
centered = App.Placement(App.Vector(-L, -L, 0), App.Rotation())
rectangle = Draft.make_rectangle(2*L, 2*L, placement=centered)

N = 10
for i in range(N):
    x = 2*L*random.random() - L
    y = 2*L*random.random() - L
    z = 0
    r = random.random()
    g = random.random()
    b = random.random()
    size = 15*random.random() + 5
    Draft.make_point(x, y, z, color=(r, g, b), point_size=size)

doc.recompute()